%define upstream_name    FCGI-Client
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    FCGI record factory
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/FCGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Socket::UNIX)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(Type::Tiny)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
FCGI::Client is client library for fastcgi protocol.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.90.0-3.mga10
+ Revision: 2209836
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.90.0-2.mga9
+ Revision: 1820730
- Mageia 9 Mass Rebuild

* Mon Jul 26 2021 tv <tv> 0.90.0-1.mga9
+ Revision: 1737926
- imported package perl-FCGI-Client


* Mon Jul 26 2021 Thierry Vignaud <tv@mageia.org> 0.90.0-1.mga9
- Import from CPAN
